No it doesn't- FCP is required to work with the HVX200, EX1, HPX170, etc. In fact I'm going to make this a sticky because it keeps coming up as a question. You want to work with the high-end...